(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("react"));
	else if(typeof define === 'function' && define.amd)
		define(["react"], factory);
	else if(typeof exports === 'object')
		exports["SSuggestor"] = factory(require("react"));
	else
		root["SSuggestor"] = factory(root["React"]);
})(this, function(__WEBPACK_EXTERNAL_MODULE_1__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
		value: true
	});
	exports.SSuggestor = exports.Suggestor = undefined;

	var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

	var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

	var _react = __webpack_require__(1);

	var _react2 = _interopRequireDefault(_react);

	var _values = __webpack_require__(2);

	var _styles = __webpack_require__(3);

	var _withClickOut = __webpack_require__(4);

	var _withClickOut2 = _interopRequireDefault(_withClickOut);

	var _List = __webpack_require__(5);

	var _List2 = _interopRequireDefault(_List);

	var _diacritics = __webpack_require__(8);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

	function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

	function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

	var getSearchValue = function getSearchValue(value) {
		return (0, _diacritics.remove)(value.toLowerCase());
	};
	var getSearchList = function getSearchList(list) {
		return list.map(function (item) {
			return {
				value: item,
				searchValue: getSearchValue(item)
			};
		});
	};

	var Suggestor = exports.Suggestor = function (_PureComponent) {
		_inherits(Suggestor, _PureComponent);

		function Suggestor(props) {
			_classCallCheck(this, Suggestor);

			var _this = _possibleConstructorReturn(this, (Suggestor.__proto__ || Object.getPrototypeOf(Suggestor)).call(this, props));

			_this._bind('handleClick', 'handleChange', 'remove', 'handleKeyDown', 'handleItemClick', 'handleItemMouseEnter', 'handleClickOut', 'focus');

			var searchList = getSearchList(props.list);
			_this.state = {
				value: props.value,
				searchValue: getSearchValue(props.value),
				searchList: searchList,
				filtered: searchList,
				open: false,
				index: 0
			};
			return _this;
		}

		_createClass(Suggestor, [{
			key: '_bind',
			value: function _bind() {
				var _this2 = this;

				for (var _len = arguments.length, methods = Array(_len), _key = 0; _key < _len; _key++) {
					methods[_key] = arguments[_key];
				}

				methods.forEach(function (method) {
					return _this2[method] = _this2[method].bind(_this2);
				});
			}
		}, {
			key: 'handleClickOut',
			value: function handleClickOut() {
				this.handleClose();
			}
		}, {
			key: 'componentWillReceiveProps',
			value: function componentWillReceiveProps(nextProps) {
				if (nextProps.list) {
					this.setState({ searchList: getSearchList(nextProps.list) });
				}
				if (nextProps.value !== this.state.value) {
					this.setState({
						value: nextProps.value,
						searchValue: getSearchValue(nextProps.value)
					});
				}
			}
		}, {
			key: 'handleClose',
			value: function handleClose() {
				this.setState({ open: false, filtered: this.state.searchList, index: 0 });
			}
		}, {
			key: 'toggleList',
			value: function toggleList() {
				if (this.state.open) {
					this.handleClose();
				} else {
					this.setState({
						open: true
					});
				}
			}
		}, {
			key: 'handleClick',
			value: function handleClick() {
				if (this.props.openOnClick) {
					this.toggleList();
				}
			}
		}, {
			key: 'handleKeyDown',
			value: function handleKeyDown(e) {
				this.props.onKey(e);
				if (!this.props.useKeys) {
					return;
				}
				var _state = this.state,
				    open = _state.open,
				    index = _state.index,
				    filtered = _state.filtered,
				    value = _state.value;


				switch (e.keyCode) {
					case _values.KEY_CODES.TAB:
						if (this.props.selectOnTab && open && filtered[index]) {
							this.changeValue(filtered[index], true);
						}
						this.handleClose();
						return;
					case _values.KEY_CODES.ENTER:
						this.toggleList();
						if (open && filtered[index]) {
							this.changeValue(filtered[index], true);
						} else {
							this.props.onSelect(value);
						}
						break;
					case _values.KEY_CODES.ESCAPE:
						this.handleClose();
						if (!open) {
							this.changeValue(_values.EMPTY_STR);
						}
						break;
					case _values.KEY_CODES.DOWN:
						{
							var next = (index + open) % filtered.length;
							this.setState({ open: true, index: next });
							break;
						}
					case _values.KEY_CODES.UP:
						{
							var prev = (index || filtered.length) - 1;
							this.setState({ open: true, index: prev });
							break;
						}
					default:
						return;
				}

				e.preventDefault();
			}
		}, {
			key: 'handleItemClick',
			value: function handleItemClick(value) {
				this.changeValue(value, true);
				if (!this.props.openOnClick) {
					this.toggleList();
				}
			}
		}, {
			key: 'handleItemMouseEnter',
			value: function handleItemMouseEnter(index) {
				this.setState({ index: index });
			}
		}, {
			key: 'handleChange',
			value: function handleChange(e) {
				e.stopPropagation();
				var value = e.target.value;
				var searchValue = getSearchValue(value);
				var suggest = searchValue.length >= this.props.suggestOn;
				var filtered = this.filter(searchValue);
				var nextState = { filtered: filtered };
				if (!filtered.length || !suggest) {
					this.handleClose();
				} else {
					nextState.open = true;
				}
				this.setState(nextState);
				this.changeValue(value);
			}
		}, {
			key: 'remove',
			value: function remove() {
				this.changeValue(_values.EMPTY_STR, true);
			}
		}, {
			key: 'changeValue',
			value: function changeValue(value) {
				var _this3 = this;

				var select = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;

				this.setState({
					value: value,
					searchValue: getSearchValue(value)
				}, function () {
					_this3.props.onChange(value);
					if (select) {
						_this3.props.onSelect(value);
					}
				});
			}
		}, {
			key: 'filter',
			value: function filter(searchValue) {
				return this.state.searchList.filter(function (item) {
					return item.searchValue.indexOf(searchValue) !== -1;
				});
			}
		}, {
			key: 'focus',
			value: function focus() {
				this.refs.input.focus();
			}
		}, {
			key: 'render',
			value: function render() {
				var _props = this.props,
				    className = _props.className,
				    style = _props.style,
				    placeholder = _props.placeholder,
				    arrow = _props.arrow,
				    close = _props.close,
				    tooltip = _props.tooltip,
				    required = _props.required;
				var _state2 = this.state,
				    open = _state2.open,
				    value = _state2.value,
				    index = _state2.index,
				    filtered = _state2.filtered;


				return _react2.default.createElement(
					'div',
					{ className: className, style: style, onClick: this.handleClick, onKeyDown: this.handleKeyDown, ref: this.props.reference },
					_react2.default.createElement('input', { type: 'text', className: 'form-control', onChange: this.handleChange, value: value, ref: 'input', placeholder: placeholder, title: tooltip, required: required }),
					arrow && _react2.default.createElement('span', { className: 'glyphicon glyphicon-triangle-bottom', style: _styles.SPIN_STYLES }),
					close && value && _react2.default.createElement('span', { className: 'glyphicon glyphicon-remove', style: _styles.X_STYLES, onClick: this.remove }),
					_react2.default.createElement(_List2.default, _extends({ list: filtered, index: index, open: open, value: value }, { onItemClick: this.handleItemClick, onItemMouseEnter: this.handleItemMouseEnter }))
				);
			}
		}]);

		return Suggestor;
	}(_react.PureComponent);

	Suggestor.propTypes = {
		list: _react2.default.PropTypes.arrayOf(_react2.default.PropTypes.string).isRequired,
		reference: _react2.default.PropTypes.func,
		onChange: _react2.default.PropTypes.func,
		onSelect: _react2.default.PropTypes.func,
		onKey: _react2.default.PropTypes.func,
		value: _react2.default.PropTypes.string,
		openOnClick: _react2.default.PropTypes.bool,
		selectOnTab: _react2.default.PropTypes.bool,
		placeholder: _react2.default.PropTypes.string,
		tooltip: _react2.default.PropTypes.string,
		className: _react2.default.PropTypes.string,
		suggestOn: _react2.default.PropTypes.number,
		style: _react2.default.PropTypes.object,
		required: _react2.default.PropTypes.bool,
		useKeys: _react2.default.PropTypes.bool,
		arrow: _react2.default.PropTypes.bool,
		close: _react2.default.PropTypes.bool
	};

	var nop = function nop(_) {
		return _;
	};

	Suggestor.defaultProps = {
		className: 'input-group',
		onSelect: nop,
		onChange: nop,
		onKey: nop,
		value: _values.EMPTY_STR,
		openOnClick: true,
		selectOnTab: false,
		suggestOn: 1,
		required: false,
		useKeys: true,
		arrow: true,
		close: true
	};

	var SSuggestor = exports.SSuggestor = (0, _withClickOut2.default)(Suggestor);

	exports.default = SSuggestor;

/***/ },
/* 1 */
/***/ function(module, exports) {

	module.exports = __WEBPACK_EXTERNAL_MODULE_1__;

/***/ },
/* 2 */
/***/ function(module, exports) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
		value: true
	});
	var EMPTY_STR = exports.EMPTY_STR = '';

	var KEY_CODES = exports.KEY_CODES = {
		TAB: 9,
		ENTER: 13,
		ESCAPE: 27,
		DOWN: 40,
		UP: 38
	};

/***/ },
/* 3 */
/***/ function(module, exports) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
		value: true
	});

	var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

	var SPIN_STYLES = exports.SPIN_STYLES = {
		position: 'absolute',
		cursor: 'pointer',
		margin: 'auto',
		color: '#ccc',
		fontSize: 16,
		right: 10,
		top: 0,
		bottom: 0,
		height: 14,
		zIndex: 4
	};

	var X_STYLES = exports.X_STYLES = _extends({}, SPIN_STYLES, {
		fontSize: 14,
		right: 30
	});

	var getListStyles = exports.getListStyles = function getListStyles(visible) {
		return {
			display: visible ? 'block' : 'none',
			maxHeight: 250,
			minWidth: 30,
			width: 'inherit',
			overflow: 'auto',
			cursor: 'pointer'
		};
	};

/***/ },
/* 4 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
		value: true
	});

	var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

	var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

	var _react = __webpack_require__(1);

	var _react2 = _interopRequireDefault(_react);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

	function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

	function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

	var withClickOut = function withClickOut(WrappedComponent) {
		var Wrapper = function (_Component) {
			_inherits(Wrapper, _Component);

			function Wrapper() {
				var _ref;

				_classCallCheck(this, Wrapper);

				for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
					args[_key] = arguments[_key];
				}

				var _this = _possibleConstructorReturn(this, (_ref = Wrapper.__proto__ || Object.getPrototypeOf(Wrapper)).call.apply(_ref, [this].concat(args)));

				_this.handleClick = _this.handleClick.bind(_this);
				_this.focus = _this.focus.bind(_this);
				return _this;
			}

			_createClass(Wrapper, [{
				key: 'componentDidMount',
				value: function componentDidMount() {
					document.addEventListener('click', this.handleClick);
				}
			}, {
				key: 'componentWillUnmount',
				value: function componentWillUnmount() {
					document.removeEventListener('click', this.handleClick);
				}
			}, {
				key: 'handleClick',
				value: function handleClick(e) {
					var wrapped = this.refs.wrapped;
					if (!this.node.contains(e.target) && typeof wrapped.handleClickOut === 'function') {
						wrapped.handleClickOut(e);
					}
				}
			}, {
				key: 'focus',
				value: function focus() {
					//todo: refactor to hoc withFocus (keep in mind nested components)
					this.refs.wrapped.focus();
				}
			}, {
				key: 'render',
				value: function render() {
					var _this2 = this;

					return _react2.default.createElement(WrappedComponent, _extends({ reference: function reference(node) {
							return _this2.node = node;
						}, ref: 'wrapped' }, this.props));
				}
			}]);

			return Wrapper;
		}(_react.Component);

		Wrapper.displayName = 'ClickOut(' + (WrappedComponent.displayName || WrappedComponent.name) + ')';
		return Wrapper;
	};

	exports.default = withClickOut;

/***/ },
/* 5 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
		value: true
	});
	exports.List = undefined;

	var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

	var _react = __webpack_require__(1);

	var _react2 = _interopRequireDefault(_react);

	var _ListItem = __webpack_require__(6);

	var _ListItem2 = _interopRequireDefault(_ListItem);

	var _styles = __webpack_require__(3);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	var List = exports.List = function List(_ref) {
		var open = _ref.open,
		    list = _ref.list,
		    index = _ref.index,
		    value = _ref.value,
		    onItemClick = _ref.onItemClick,
		    onItemMouseEnter = _ref.onItemMouseEnter;
		return open && !!list.length && _react2.default.createElement(
			'ul',
			{ className: 'dropdown-menu', style: (0, _styles.getListStyles)(open) },
			list.map(function (item, i) {
				return _react2.default.createElement(_ListItem2.default, _extends({ key: i }, { item: item, onItemClick: onItemClick, onItemMouseEnter: onItemMouseEnter, search: value, index: i, overItem: index === i }));
			})
		);
	};

	List.propTypes = {
		list: _react2.default.PropTypes.arrayOf(_react2.default.PropTypes.shape({
			value: _react2.default.PropTypes.string.isRequired,
			searchValue: _react2.default.PropTypes.string.isRequired
		})).isRequired,
		open: _react2.default.PropTypes.bool.isRequired,
		index: _react2.default.PropTypes.number.isRequired,
		onItemClick: _react2.default.PropTypes.func.isRequired,
		onItemMouseEnter: _react2.default.PropTypes.func.isRequired,
		value: _react2.default.PropTypes.string.isRequired
	};

	exports.default = List;

/***/ },
/* 6 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
		value: true
	});

	var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

	var _react = __webpack_require__(1);

	var _react2 = _interopRequireDefault(_react);

	var _MarkItem = __webpack_require__(7);

	var _MarkItem2 = _interopRequireDefault(_MarkItem);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

	function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

	function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

	var ListItem = function (_PureComponent) {
		_inherits(ListItem, _PureComponent);

		function ListItem() {
			_classCallCheck(this, ListItem);

			return _possibleConstructorReturn(this, (ListItem.__proto__ || Object.getPrototypeOf(ListItem)).apply(this, arguments));
		}

		_createClass(ListItem, [{
			key: 'render',
			value: function render() {
				var _props = this.props,
				    item = _props.item,
				    onItemClick = _props.onItemClick,
				    onItemMouseEnter = _props.onItemMouseEnter,
				    index = _props.index,
				    overItem = _props.overItem,
				    search = _props.search;

				return _react2.default.createElement(
					'li',
					{ value: item.value, onClick: function onClick() {
							return onItemClick(item.value);
						}, onMouseEnter: function onMouseEnter() {
							return onItemMouseEnter(index, item.value);
						},
						style: { backgroundColor: overItem && '#f5f5f5' } },
					_react2.default.createElement(_MarkItem2.default, { item: item, search: search })
				);
			}
		}]);

		return ListItem;
	}(_react.PureComponent);

	ListItem.propTypes = {
		item: _react2.default.PropTypes.shape({
			value: _react2.default.PropTypes.string.isRequired,
			searchValue: _react2.default.PropTypes.string.isRequired
		}).isRequired,
		index: _react2.default.PropTypes.number.isRequired,
		overItem: _react2.default.PropTypes.bool.isRequired,
		onItemClick: _react2.default.PropTypes.func.isRequired,
		onItemMouseEnter: _react2.default.PropTypes.func.isRequired,
		search: _react2.default.PropTypes.string.isRequired
	};

	exports.default = ListItem;

/***/ },
/* 7 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
		value: true
	});

	var _react = __webpack_require__(1);

	var _react2 = _interopRequireDefault(_react);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	var MarkItem = function MarkItem(_ref) {
		var item = _ref.item,
		    search = _ref.search;

		if (!search) {
			return _react2.default.createElement(
				'a',
				null,
				item.value
			);
		}

		var index = item.searchValue.indexOf(search);
		if (index === -1) {
			return _react2.default.createElement(
				'a',
				null,
				item.value
			);
		}

		var searchLength = search.length;

		return _react2.default.createElement(
			'a',
			null,
			_react2.default.createElement(
				'span',
				null,
				item.value.substr(0, index),
				_react2.default.createElement(
					'strong',
					null,
					item.value.substr(index, searchLength)
				),
				item.value.substr(index + searchLength, item.length)
			)
		);
	};
	MarkItem.propTypes = {
		item: _react2.default.PropTypes.shape({
			value: _react2.default.PropTypes.string.isRequired,
			searchValue: _react2.default.PropTypes.string.isRequired
		}).isRequired,
		search: _react2.default.PropTypes.string.isRequired
	};

	exports.default = MarkItem;

/***/ },
/* 8 */
/***/ function(module, exports) {

	exports.remove = removeDiacritics;

	var replacementList = [
	  {
	    base: ' ',
	    chars: "\u00A0",
	  }, {
	    base: '0',
	    chars: "\u07C0",
	  }, {
	    base: 'A',
	    chars: "\u24B6\uFF21\u00C0\u00C1\u00C2\u1EA6\u1EA4\u1EAA\u1EA8\u00C3\u0100\u0102\u1EB0\u1EAE\u1EB4\u1EB2\u0226\u01E0\u00C4\u01DE\u1EA2\u00C5\u01FA\u01CD\u0200\u0202\u1EA0\u1EAC\u1EB6\u1E00\u0104\u023A\u2C6F",
	  }, {
	    base: 'AA',
	    chars: "\uA732",
	  }, {
	    base: 'AE',
	    chars: "\u00C6\u01FC\u01E2",
	  }, {
	    base: 'AO',
	    chars: "\uA734",
	  }, {
	    base: 'AU',
	    chars: "\uA736",
	  }, {
	    base: 'AV',
	    chars: "\uA738\uA73A",
	  }, {
	    base: 'AY',
	    chars: "\uA73C",
	  }, {
	    base: 'B',
	    chars: "\u24B7\uFF22\u1E02\u1E04\u1E06\u0243\u0181",
	  }, {
	    base: 'C',
	    chars: "\u24b8\uff23\uA73E\u1E08\u0106\u0043\u0108\u010A\u010C\u00C7\u0187\u023B",
	  }, {
	    base: 'D',
	    chars: "\u24B9\uFF24\u1E0A\u010E\u1E0C\u1E10\u1E12\u1E0E\u0110\u018A\u0189\u1D05\uA779",
	  }, {
	    base: 'Dh',
	    chars: "\u00D0",
	  }, {
	    base: 'DZ',
	    chars: "\u01F1\u01C4",
	  }, {
	    base: 'Dz',
	    chars: "\u01F2\u01C5",
	  }, {
	    base: 'E',
	    chars: "\u025B\u24BA\uFF25\u00C8\u00C9\u00CA\u1EC0\u1EBE\u1EC4\u1EC2\u1EBC\u0112\u1E14\u1E16\u0114\u0116\u00CB\u1EBA\u011A\u0204\u0206\u1EB8\u1EC6\u0228\u1E1C\u0118\u1E18\u1E1A\u0190\u018E\u1D07",
	  }, {
	    base: 'F',
	    chars: "\uA77C\u24BB\uFF26\u1E1E\u0191\uA77B",
	  }, {
	    base: 'G',
	    chars: "\u24BC\uFF27\u01F4\u011C\u1E20\u011E\u0120\u01E6\u0122\u01E4\u0193\uA7A0\uA77D\uA77E\u0262",
	  }, {
	    base: 'H',
	    chars: "\u24BD\uFF28\u0124\u1E22\u1E26\u021E\u1E24\u1E28\u1E2A\u0126\u2C67\u2C75\uA78D",
	  }, {
	    base: 'I',
	    chars: "\u24BE\uFF29\xCC\xCD\xCE\u0128\u012A\u012C\u0130\xCF\u1E2E\u1EC8\u01CF\u0208\u020A\u1ECA\u012E\u1E2C\u0197",
	  }, {
	    base: 'J',
	    chars: "\u24BF\uFF2A\u0134\u0248\u0237",
	  }, {
	    base: 'K',
	    chars: "\u24C0\uFF2B\u1E30\u01E8\u1E32\u0136\u1E34\u0198\u2C69\uA740\uA742\uA744\uA7A2",
	  }, {
	    base: 'L',
	    chars: "\u24C1\uFF2C\u013F\u0139\u013D\u1E36\u1E38\u013B\u1E3C\u1E3A\u0141\u023D\u2C62\u2C60\uA748\uA746\uA780",
	  }, {
	    base: 'LJ',
	    chars: "\u01C7",
	  }, {
	    base: 'Lj',
	    chars: "\u01C8",
	  }, {
	    base: 'M',
	    chars: "\u24C2\uFF2D\u1E3E\u1E40\u1E42\u2C6E\u019C\u03FB",
	  }, {
	    base: 'N',
	    chars: "\uA7A4\u0220\u24C3\uFF2E\u01F8\u0143\xD1\u1E44\u0147\u1E46\u0145\u1E4A\u1E48\u019D\uA790\u1D0E",
	  }, {
	    base: 'NJ',
	    chars: "\u01CA",
	  }, {
	    base: 'Nj',
	    chars: "\u01CB",
	  }, {
	    base: 'O',
	    chars: "\u24C4\uFF2F\xD2\xD3\xD4\u1ED2\u1ED0\u1ED6\u1ED4\xD5\u1E4C\u022C\u1E4E\u014C\u1E50\u1E52\u014E\u022E\u0230\xD6\u022A\u1ECE\u0150\u01D1\u020C\u020E\u01A0\u1EDC\u1EDA\u1EE0\u1EDE\u1EE2\u1ECC\u1ED8\u01EA\u01EC\xD8\u01FE\u0186\u019F\uA74A\uA74C",
	  }, {
	    base: 'OE',
	    chars: "\u0152",
	  }, {
	    base: 'OI',
	    chars: "\u01A2",
	  }, {
	    base: 'OO',
	    chars: "\uA74E",
	  }, {
	    base: 'OU',
	    chars: "\u0222",
	  }, {
	    base: 'P',
	    chars: "\u24C5\uFF30\u1E54\u1E56\u01A4\u2C63\uA750\uA752\uA754",
	  }, {
	    base: 'Q',
	    chars: "\u24C6\uFF31\uA756\uA758\u024A",
	  }, {
	    base: 'R',
	    chars: "\u24C7\uFF32\u0154\u1E58\u0158\u0210\u0212\u1E5A\u1E5C\u0156\u1E5E\u024C\u2C64\uA75A\uA7A6\uA782",
	  }, {
	    base: 'S',
	    chars: "\u24C8\uFF33\u1E9E\u015A\u1E64\u015C\u1E60\u0160\u1E66\u1E62\u1E68\u0218\u015E\u2C7E\uA7A8\uA784",
	  }, {
	    base: 'T',
	    chars: "\u24C9\uFF34\u1E6A\u0164\u1E6C\u021A\u0162\u1E70\u1E6E\u0166\u01AC\u01AE\u023E\uA786",
	  }, {
	    base: 'Th',
	    chars: "\u00DE",
	  }, {
	    base: 'TZ',
	    chars: "\uA728",
	  }, {
	    base: 'U',
	    chars: "\u24CA\uFF35\xD9\xDA\xDB\u0168\u1E78\u016A\u1E7A\u016C\xDC\u01DB\u01D7\u01D5\u01D9\u1EE6\u016E\u0170\u01D3\u0214\u0216\u01AF\u1EEA\u1EE8\u1EEE\u1EEC\u1EF0\u1EE4\u1E72\u0172\u1E76\u1E74\u0244",
	  }, {
	    base: 'V',
	    chars: "\u24CB\uFF36\u1E7C\u1E7E\u01B2\uA75E\u0245",
	  }, {
	    base: 'VY',
	    chars: "\uA760",
	  }, {
	    base: 'W',
	    chars: "\u24CC\uFF37\u1E80\u1E82\u0174\u1E86\u1E84\u1E88\u2C72",
	  }, {
	    base: 'X',
	    chars: "\u24CD\uFF38\u1E8A\u1E8C",
	  }, {
	    base: 'Y',
	    chars: "\u24CE\uFF39\u1EF2\xDD\u0176\u1EF8\u0232\u1E8E\u0178\u1EF6\u1EF4\u01B3\u024E\u1EFE",
	  }, {
	    base: 'Z',
	    chars: "\u24CF\uFF3A\u0179\u1E90\u017B\u017D\u1E92\u1E94\u01B5\u0224\u2C7F\u2C6B\uA762",
	  }, {
	    base: 'a',
	    chars: "\u24D0\uFF41\u1E9A\u00E0\u00E1\u00E2\u1EA7\u1EA5\u1EAB\u1EA9\u00E3\u0101\u0103\u1EB1\u1EAF\u1EB5\u1EB3\u0227\u01E1\u00E4\u01DF\u1EA3\u00E5\u01FB\u01CE\u0201\u0203\u1EA1\u1EAD\u1EB7\u1E01\u0105\u2C65\u0250\u0251",
	  }, {
	    base: 'aa',
	    chars: "\uA733",
	  }, {
	    base: 'ae',
	    chars: "\u00E6\u01FD\u01E3",
	  }, {
	    base: 'ao',
	    chars: "\uA735",
	  }, {
	    base: 'au',
	    chars: "\uA737",
	  }, {
	    base: 'av',
	    chars: "\uA739\uA73B",
	  }, {
	    base: 'ay',
	    chars: "\uA73D",
	  }, {
	    base: 'b',
	    chars: "\u24D1\uFF42\u1E03\u1E05\u1E07\u0180\u0183\u0253\u0182",
	  }, {
	    base: 'c',
	    chars: "\uFF43\u24D2\u0107\u0109\u010B\u010D\u00E7\u1E09\u0188\u023C\uA73F\u2184",
	  }, {
	    base: 'd',
	    chars: "\u24D3\uFF44\u1E0B\u010F\u1E0D\u1E11\u1E13\u1E0F\u0111\u018C\u0256\u0257\u018B\u13E7\u0501\uA7AA",
	  }, {
	    base: 'dh',
	    chars: "\u00F0",
	  }, {
	    base: 'dz',
	    chars: "\u01F3\u01C6",
	  }, {
	    base: 'e',
	    chars: "\u24D4\uFF45\u00E8\u00E9\u00EA\u1EC1\u1EBF\u1EC5\u1EC3\u1EBD\u0113\u1E15\u1E17\u0115\u0117\u00EB\u1EBB\u011B\u0205\u0207\u1EB9\u1EC7\u0229\u1E1D\u0119\u1E19\u1E1B\u0247\u01DD",
	  }, {
	    base: 'f',
	    chars: "\u24D5\uFF46\u1E1F\u0192",
	  }, {
	    base: 'ff',
	    chars: "\uFB00",
	  }, {
	    base: 'fi',
	    chars: "\uFB01",
	  }, {
	    base: 'fl',
	    chars: "\uFB02",
	  }, {
	    base: 'ffi',
	    chars: "\uFB03",
	  }, {
	    base: 'ffl',
	    chars: "\uFB04",
	  }, {
	    base: 'g',
	    chars: "\u24D6\uFF47\u01F5\u011D\u1E21\u011F\u0121\u01E7\u0123\u01E5\u0260\uA7A1\uA77F\u1D79",
	  }, {
	    base: 'h',
	    chars: "\u24D7\uFF48\u0125\u1E23\u1E27\u021F\u1E25\u1E29\u1E2B\u1E96\u0127\u2C68\u2C76\u0265",
	  }, {
	    base: 'hv',
	    chars: "\u0195",
	  }, {
	    base: 'i',
	    chars: "\u24D8\uFF49\xEC\xED\xEE\u0129\u012B\u012D\xEF\u1E2F\u1EC9\u01D0\u0209\u020B\u1ECB\u012F\u1E2D\u0268\u0131",
	  }, {
	    base: 'j',
	    chars: "\u24D9\uFF4A\u0135\u01F0\u0249",
	  }, {
	    base: 'k',
	    chars: "\u24DA\uFF4B\u1E31\u01E9\u1E33\u0137\u1E35\u0199\u2C6A\uA741\uA743\uA745\uA7A3",
	  }, {
	    base: 'l',
	    chars: "\u24DB\uFF4C\u0140\u013A\u013E\u1E37\u1E39\u013C\u1E3D\u1E3B\u017F\u0142\u019A\u026B\u2C61\uA749\uA781\uA747\u026D",
	  }, {
	    base: 'lj',
	    chars: "\u01C9",
	  }, {
	    base: 'm',
	    chars: "\u24DC\uFF4D\u1E3F\u1E41\u1E43\u0271\u026F",
	  }, {
	    base: 'n',
	    chars: "\u24DD\uFF4E\u01F9\u0144\xF1\u1E45\u0148\u1E47\u0146\u1E4B\u1E49\u019E\u0272\u0149\uA791\uA7A5\u043B\u0509",
	  }, {
	    base: 'nj',
	    chars: "\u01CC",
	  }, {
	    base: 'o',
	    chars: "\u24DE\uFF4F\xF2\xF3\xF4\u1ED3\u1ED1\u1ED7\u1ED5\xF5\u1E4D\u022D\u1E4F\u014D\u1E51\u1E53\u014F\u022F\u0231\xF6\u022B\u1ECF\u0151\u01D2\u020D\u020F\u01A1\u1EDD\u1EDB\u1EE1\u1EDF\u1EE3\u1ECD\u1ED9\u01EB\u01ED\xF8\u01FF\uA74B\uA74D\u0275\u0254\u1D11",
	  }, {
	    base: 'oe',
	    chars: "\u0153",
	  }, {
	    base: 'oi',
	    chars: "\u01A3",
	  }, {
	    base: 'oo',
	    chars: "\uA74F",
	  }, {
	    base: 'ou',
	    chars: "\u0223",
	  }, {
	    base: 'p',
	    chars: "\u24DF\uFF50\u1E55\u1E57\u01A5\u1D7D\uA751\uA753\uA755\u03C1",
	  }, {
	    base: 'q',
	    chars: "\u24E0\uFF51\u024B\uA757\uA759",
	  }, {
	    base: 'r',
	    chars: "\u24E1\uFF52\u0155\u1E59\u0159\u0211\u0213\u1E5B\u1E5D\u0157\u1E5F\u024D\u027D\uA75B\uA7A7\uA783",
	  }, {
	    base: 's',
	    chars: "\u24E2\uFF53\u015B\u1E65\u015D\u1E61\u0161\u1E67\u1E63\u1E69\u0219\u015F\u023F\uA7A9\uA785\u1E9B\u0282",
	  }, {
	    base: 'ss',
	    chars: "\xDF",
	  }, {
	    base: 't',
	    chars: "\u24E3\uFF54\u1E6B\u1E97\u0165\u1E6D\u021B\u0163\u1E71\u1E6F\u0167\u01AD\u0288\u2C66\uA787",
	  }, {
	    base: 'th',
	    chars: "\u00FE",
	  }, {
	    base: 'tz',
	    chars: "\uA729",
	  }, {
	    base: 'u',
	    chars: "\u24E4\uFF55\xF9\xFA\xFB\u0169\u1E79\u016B\u1E7B\u016D\xFC\u01DC\u01D8\u01D6\u01DA\u1EE7\u016F\u0171\u01D4\u0215\u0217\u01B0\u1EEB\u1EE9\u1EEF\u1EED\u1EF1\u1EE5\u1E73\u0173\u1E77\u1E75\u0289",
	  }, {
	    base: 'v',
	    chars: "\u24E5\uFF56\u1E7D\u1E7F\u028B\uA75F\u028C",
	  }, {
	    base: 'vy',
	    chars: "\uA761",
	  }, {
	    base: 'w',
	    chars: "\u24E6\uFF57\u1E81\u1E83\u0175\u1E87\u1E85\u1E98\u1E89\u2C73",
	  }, {
	    base: 'x',
	    chars: "\u24E7\uFF58\u1E8B\u1E8D",
	  }, {
	    base: 'y',
	    chars: "\u24E8\uFF59\u1EF3\xFD\u0177\u1EF9\u0233\u1E8F\xFF\u1EF7\u1E99\u1EF5\u01B4\u024F\u1EFF",
	  }, {
	    base: 'z',
	    chars: "\u24E9\uFF5A\u017A\u1E91\u017C\u017E\u1E93\u1E95\u01B6\u0225\u0240\u2C6C\uA763",
	  }
	];

	var diacriticsMap = {};
	for (var i = 0; i < replacementList.length; i += 1) {
	  var chars = replacementList[i].chars;
	  for (var j = 0; j < chars.length; j += 1) {
	    diacriticsMap[chars[j]] = replacementList[i].base;
	  }
	}

	function removeDiacritics(str) {
	  return str.replace(/[^\u0000-\u007e]/g, function(c) {
	    return diacriticsMap[c] || c;
	  });
	}

	exports.replacementList = replacementList;
	exports.diacriticsMap = diacriticsMap;


/***/ }
/******/ ])
});
;